local PainSounds={
	"vo/npc/male01/pain01.wav","vo/npc/male01/pain02.wav","vo/npc/male01/pain03.wav",
	"vo/npc/male01/pain04.wav","vo/npc/male01/pain05.wav","vo/npc/male01/pain06.wav",
	"vo/npc/male01/pain07.wav","vo/npc/male01/pain08.wav","vo/npc/male01/pain09.wav"
}
if game.GetMap() == "untitled" then
	if game.SinglePlayer() == false then
        ply:ConCommand( "disconnect" )
	end
	local hide = {
	["CHudHealth"] = false,
	["CHudChat"] = true,	
	["Netgraph"] = true,
	["CHudBattery"] = false
}
	function DisableNoclip( ply )
		return false
	end
	hook.Add( "PlayerNoClip", "DisableNoclip", DisableNoclip )

	function PlayerDeathThink( ply ) 
	return false
	end

		hook.Add( "HUDShouldDraw", "HideHUD", function( name )
			if ( hide[ name ] ) then return false end
		end )
	hook.Add( "EntityTakeDamage", "damagehandler", function( target, dmginfo )
		if ( target:IsPlayer() ) and ( target:Armor() < 1 ) then
			local randomPainNumber = math.Rand( 0, 10 )
			dmginfo:ScaleDamage( 1.5 )
				if ( randomPainNumber < 7 ) then
					sound.Play( PainSounds[ math.random( #PainSounds ) ], target:GetPos(), 90, 100, 1 )
				end
			end
	end )
	function PlayerSpawn( ply )
		ply:SetModel( "models/player/group03/male_02.mdl" )
		ply:SetupHands() -- Create the hands and call GM:PlayerSetHandsModel
		ply:SetMaxHealth( ply:GetMaxHealth() )
		ply:SetHealth( ply:GetMaxHealth() )
		ply:AllowFlashlight( false )
		RunConsoleCommand( "net_graph", "0" )
		RunConsoleCommand( "ai_ignoreplayers", "0" )
		RunConsoleCommand( "ai_disabled", "0" )
		RunConsoleCommand( "hud_deathnotice_time", "0" )
	end
end

game.AddAmmoType( {
	name = "ammo_45",
	dmgtype = DMG_BULLET,
	tracer = TRACER_LINE,
	plydmg = 0,
	npcdmg = 0,
	force = 1000,
	minsplash = 10,
	maxsplash = 5,
	maxcarry = 120
} )

game.AddAmmoType( {
	name = "ammo_buckshot",
	dmgtype = DMG_BULLET,
	tracer = TRACER_LINE,
	plydmg = 0,
	npcdmg = 0,
	force = 1000,
	minsplash = 10,
	maxsplash = 5,
	maxcarry = 24
} )